Skip to main content
POST
/
api
/
reports
/
templates
Create Template
curl --request POST \
  --url https://api.example.com/api/reports/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "sections": [
    "<string>"
  ],
  "description": "<string>",
  "config": {},
  "is_global": false,
  "scope_type": "global",
  "scope_id": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "sections": [
    "<string>"
  ],
  "config": {},
  "is_global": true,
  "scope_type": "<string>",
  "scope_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "owner_id": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
name
string
required
sections
string[]
required
description
string | null
config
Config · object
is_global
boolean
default:false
scope_type
string
default:global
scope_id
string | null

Response

Successful Response

id
string
required
name
string
required
description
string | null
required
sections
string[]
required
config
Config · object
required
is_global
boolean
required
scope_type
string
required
scope_id
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
owner_id
integer | null
required